Package org.apache.sling.event.impl.jobs.stats

# Class StatisticsManager

java.lang.Object
org.apache.sling.event.impl.jobs.stats.StatisticsManager

public class StatisticsManager extends Object
The statistics manager keeps track of all statistics related tasks.

## Constructor Summary

Constructors
Constructor
Description
`StatisticsManager()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate()`
`protected void`
`deactivate()`
`org.apache.sling.event.jobs.Statistics`
`getGlobalStatistics()`
Get the global statistics.
`org.apache.sling.event.jobs.Statistics`
`getQueueStatistics(String queueName)`
Get a single queue statistics.
`Map<String,org.apache.sling.event.jobs.TopicStatistics>`
`getTopicStatistics()`
Get all topic statistics.
`void`
`jobDequeued(String queueName, String topic)`
`void`
`jobEnded(String queueName, String topic, InternalJobState state, long processingTime)`
`void`
`jobQueued(String queueName, String topic)`
`void`
`jobStarted(String queueName, String topic, long queueTime)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatisticsManager

public StatisticsManager()

## Method Details

### getGlobalStatistics

public org.apache.sling.event.jobs.Statistics getGlobalStatistics()
Get the global statistics.

Returns:
  The global statistics.

### getTopicStatistics

public Map<String,org.apache.sling.event.jobs.TopicStatistics> getTopicStatistics()
Get all topic statistics.

Returns:
  The map of topic statistics by topic.

### getQueueStatistics

public org.apache.sling.event.jobs.Statistics getQueueStatistics(String queueName)
Get a single queue statistics.

Parameters:
  `queueName` - The queue name.
Returns:
  The statistics for that queue.

### jobEnded

public void jobEnded(String queueName, String topic, InternalJobState state, long processingTime)

### jobStarted

public void jobStarted(String queueName, String topic, long queueTime)

### jobQueued

public void jobQueued(String queueName, String topic)

### jobDequeued

public void jobDequeued(String queueName, String topic)

### activate

protected void activate()

### deactivate

protected void deactivate()